summary_tidiers {broom} | R Documentation

## Tidiers for summaryDefault objects

### Description

Tidy a summary of a vector.

### Usage

    ## S3 method for class 'summaryDefault'
    tidy(x, ...)

    ## S3 method for class 'summaryDefault'
    glance(x, ...)

### Arguments

`x` | summaryDefault object
`...` | extra arguments, not used

### Value

Both `tidy` and `glance` return the same object: a one-row data frame with columns

`minimum` | smallest value in original vector
`q1` | value at the first quartile
`median` | median of original vector
`mean` | mean of original vector
`q3` | value at the third quartile
`maximum` | largest value in original vector
`NAs` | number of NA values (if any)

### See Also

`summary`

### Examples

    v <- rnorm(1000)
    s <- summary(v)
    s

    tidy(s)
    glance(s)

    v2 <- c(v,NA)
    tidy(summary(v2))

[Package broom version 0.4.1 Index]